#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <gtkmm.h>
#include <gtkmm/window.h>
#include <gtkmm/table.h>
#include "newt_scalar_widget.h"
#include "newt_frame.h"

class MainWindow : public Gtk::Window
{
    public:
        MainWindow();
        virtual ~MainWindow();

    protected:

    virtual void on_size_allocate(Gtk::Allocation& allocation);

    private:
    NewtFrame m_frame;
    Gtk::Table m_tab;
    //Gtk::EventBox m_EventBox;
    //AppleWidget m_apple;
    NewtScalarWidget m_newtScalar1;
    NewtScalarWidget m_newtScalar2;
    NewtScalarWidget m_newtScalar3;
    NewtScalarWidget m_newtScalar4;
};

#endif // MAINWINDOW_H
