#include "mainwindow.h"
#include <iostream>

using namespace std;

MainWindow::MainWindow()
: m_tab(2, 2)
, m_newtScalar1("test1", -2, 1, 0, NULL, c_unknown)
, m_newtScalar2("test2", 0, 1, .25, NULL, c_unknown)
, m_newtScalar3("test3", -2, 1, 0, NULL, c_unknown)
, m_newtScalar4("test4", 0, 1, .25, NULL, c_unknown)
{
    Gtk::AttachOptions att = Gtk::EXPAND|Gtk::SHRINK|Gtk::FILL;

    m_frame.set_label("Test Frame");
    add(m_frame);
    m_frame.add(m_tab);
    m_tab.attach(m_newtScalar1, 0, 1, 0, 1, att, att);
    m_tab.attach(m_newtScalar2, 1, 2, 0, 1, att, att);
    m_tab.attach(m_newtScalar3, 0, 1, 1, 2, att, att);
    m_tab.attach(m_newtScalar4, 1, 2, 1, 2, att, att);
//    m_tab.attach(m_newtScalar1, 0, 1, 0, 1);
//    m_tab.attach(m_newtScalar2, 1, 2, 0, 1);
//    m_tab.attach(m_newtScalar3, 0, 1, 1, 2);
//    m_tab.attach(m_newtScalar4, 1, 2, 1, 2);

    show_all_children();
    //m_newtScalar.show_all();
    //m_apple.show();
    //m_tab.show_all();
}

MainWindow::~MainWindow()
{
    //dtor
}

void MainWindow::on_size_allocate(Gtk::Allocation& allocation)
{
    Window::on_size_allocate(allocation);
    double m_width = allocation.get_width();
    double m_height = allocation.get_height();
    double m_x = allocation.get_x();
    double m_y = allocation.get_y();

    cout << "PARENT: " << m_x << "," << m_y << "," << m_width << "," << m_height << endl;
}
