#!/bin/bash

# 2nd argument indicates if we're including external audio inputs
doAudInputs=$2

cd $1/src/newt_lv2_instr/bundle
cp newt_lv2_instr_begin.ttl newt_lv2_instr.ttl

echo "Creating mannifest file..."

idx=`grep -c "lv2:index" newt_lv2_instr_begin.ttl`
let "idx -= 1"

if [[ $doAudInputs = "true" ]]
then
	echo "Including external audio inputs..."
	awk "BEGIN {count = $idx} { if (\$1 == \"lv2:index\") {count++; print \"   \", \$1, count \";\"} else print}" newt_lv2_instr_extinputs.ttl >> newt_lv2_instr.ttl

	subs=`grep -c "lv2:index" newt_lv2_instr_extinputs.ttl`
	let "idx += $subs"
fi

awk "BEGIN {count = $idx} { if (\$1 == \"lv2:index\") {count++; print \"   \", \$1, count \";\"} else print}" newt_lv2_instr_end.ttl >> newt_lv2_instr.ttl

echo "Finished creating mannifest file."
